﻿$packageName = 'Ditto.portable'
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$version = '3.21.134.0'
$version2 = $version.Replace(".","_")
$url = "https://sourceforge.net/projects/ditto-cp/files/Ditto/$version/DittoPortable_$version2.zip/download"
$url64 = "https://sourceforge.net/projects/ditto-cp/files/Ditto/$version/DittoPortable_64bit_$version2.zip/download"
$checksum = '4e2e17b46af322e809b57b142049d945c6ef859e5c228823fdb1ebf9e530efdb91fc3022f230eef4dabcc0fa3c36bedf7fc2a852dc183fb945ed50bb7e515472'
$checksumType = 'SHA512'
$checksum64 = '2fc6c26ac6c955c477e2c6771a85087e1800ae3570a58294e0cce2d618448140babc28dc71af806adcd7569e3edaec9795616d65d3459f72268203c641a719ef'

# Kill ditto before updating
Get-Process | Where { $_.name -eq 'ditto' } | Stop-Process

Install-ChocolateyZipPackage $packageName $url $toolsdir $url64 `
-Checksum $checksum -ChecksumType $checksumType -Checksum64 $checksum64

# Tells ditto to pretend it's installed, settings and database will be stored in the user's profile
# To actually use ditto in portable mode, it would need to be installed to BinRoot
Remove-Item $(Join-Path "$toolsDir" "Ditto\portable")
